<template>
  <PageLayout
    class="phoneBillRecharge-page-wrapper"
    :style="{
      backgroundImage: `url(${OssAssets.common.PhoneBillRechargePageBg})`,
    }"
  >
    <template #navigationBar>
      <TransparentNavigationBar
        :title="'话费充值'"
        :is-absolute="false"
        mode="dark"
        navigationArrowWhite
      >
      </TransparentNavigationBar>
    </template>
    <InnerPage />
  </PageLayout>
</template>

<script setup lang="ts">
import { PageLayout } from '@/components';
import InnerPage from './InnerPage.vue';
import { OssAssets } from '@/constants';

defineOptions({
  name: 'phoneBillRecharge',
});
</script>

<style lang="scss">
@import '@/styles/common.scss';

.phoneBillRecharge-page-wrapper {
  background-size: 100% 452px;
  background-color: $body-background-color;
  background-repeat: no-repeat;

  .phoneBillRecharge-page-bg {
    position: fixed;
    z-index: -1;
    top: 0;
    left: 0;
    width: 100%;
    height: 452px;
    object-fit: cover;
  }
}
</style>
